// SPDX-License-Identifier: Apache-2.0

/**
 * @mainpage
 * @section intro_sec Introduction
 *
 * The @PROJECT_NAME *C++* library for creating custom
 * implementations of common deep learning operations.
 * The library provides a simple `Tensor` class
 * and function declarations to be completed by the user.
 *
 * To install with customized implementations follow
 * instructions <a href="index.html">here</a>
 *
 * @defgroup custom
 *
 * Custom implementations are created using outlines in
 * the <a href="@REPO_SRC/custom">custom</a> directory.
 */

#pragma once

typedef unsigned int uint;

#include "context.hpp"
#include "tensor.hpp"
#include "utils.hpp"
